[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# fpsendto

Send data through an unconnected socket to an address.

## Declaration

Source position: socketsh.inc line 165

`function fpsendto(`
`s: cint;`
`msg: pointer;`
`len: size_t;`
`flags: cint;`
`tox: psockaddr;`
`tolen: TSockLen`
`):ssize_t;`

## Description

fpSendTo sends data from buffer Msg with length len through socket S with options Flags. The data is sent to address tox, which has length toLen

## Errors

On error, -1 is returned.

## See also

fpSocket |  | Create new socket
fpSend |  | Send data through socket
fpRecvFrom |  | Receive data from an unconnected socket

Documentation generated on: Feb 26 2014